com.hammurapi.convert

## Class ReflectiveAtomicConvertersBundle

- java.lang.Object
- - com.hammurapi.convert.AbstractReflectiveAtomicConvertersBundle
  - - com.hammurapi.convert.ReflectiveAtomicConvertersBundle

- All Implemented Interfaces:
    AtomicConvertersBundle

      public class ReflectiveAtomicConvertersBundle
      extends AbstractReflectiveAtomicConvertersBundle

  Intuitive conversions.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReflectiveAtomicConvertersBundle()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `InputStream` | `byteArrayToInputStream(byte[] ba)`
    `XMLEventReader` | `byteArrayToXmlEventReader(byte[] in)`
    `byte[]` | `fileToByteArray(File in)`
    `XMLEventReader` | `fileToXmlEventReader(File in)`
    `byte[]` | `inputStreamToByteArray(InputStream in)`
    `XMLEventReader` | `inputStreamToXmlEventReader(InputStream in)`
    `Document` | `parseXml(byte[] in)`
    `Document` | `parseXml(File in)`
    `Document` | `parseXml(InputStream in)`
    `Document` | `parseXml(String str)`
    `XMLEventReader` | `readerToXmlEventReader(Reader in)`
    `String` | `serialize(Node node)`
    `XMLEventReader` | `stringToXmlEventReader(String in)`

    - ### Methods inherited from class com.hammurapi.convert.AbstractReflectiveAtomicConvertersBundle

      `getConverters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReflectiveAtomicConvertersBundle

          public ReflectiveAtomicConvertersBundle()

  - ### Method Detail

    - #### byteArrayToInputStream

          public InputStream byteArrayToInputStream(byte[] ba)

    - #### inputStreamToByteArray

          public byte[] inputStreamToByteArray(InputStream in)
                                        throws IOException

      Throws:
        `IOException`

    - #### fileToByteArray

          public byte[] fileToByteArray(File in)
                                 throws IOException

      Throws:
        `IOException`

    - #### parseXml

          public Document parseXml(InputStream in)
                            throws Exception

      Throws:
        `Exception`

    - #### parseXml

          public Document parseXml(File in)
                            throws Exception

      Throws:
        `Exception`

    - #### parseXml

          public Document parseXml(byte[] in)
                            throws Exception

      Throws:
        `Exception`

    - #### parseXml

          public Document parseXml(String str)
                            throws Exception

      Throws:
        `Exception`

    - #### serialize

          public String serialize(Node node)
                           throws Exception

      Throws:
        `Exception`

    - #### inputStreamToXmlEventReader

          public XMLEventReader inputStreamToXmlEventReader(InputStream in)
                                                     throws Exception

      Throws:
        `Exception`

    - #### readerToXmlEventReader

          public XMLEventReader readerToXmlEventReader(Reader in)
                                                throws Exception

      Throws:
        `Exception`

    - #### byteArrayToXmlEventReader

          public XMLEventReader byteArrayToXmlEventReader(byte[] in)
                                                   throws Exception

      Throws:
        `Exception`

    - #### fileToXmlEventReader

          public XMLEventReader fileToXmlEventReader(File in)
                                              throws Exception

      Throws:
        `Exception`

    - #### stringToXmlEventReader

          public XMLEventReader stringToXmlEventReader(String in)
                                                throws Exception

      Throws:
        `Exception`